Osi 0.107.7

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Classes | Macros | Functions
CoinError.hpp File Reference
`#include <string>`
`#include <iostream>`
`#include <cassert>`
`#include <cstring>`
`#include "CoinUtilsConfig.h"`
`#include "CoinPragma.hpp"`
Include dependency graph for CoinError.hpp:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | CoinError
| Error Class thrown by an exception. More...

## Macros
#define | __STRING(x) #x
#define | __GNUC_PREREQ(maj, min) (0)
#define | CoinAssertDebug(expression) assert(expression)
#define | CoinAssertDebugHint(expression, hint) assert(expression)
#define | CoinAssert(expression) assert(expression)
#define | CoinAssertHint(expression, hint) assert(expression)

## Functions
void | WindowsErrorPopupBlocker ()
| A function to block the popup windows that windows creates when the code crashes. More...
void | CoinErrorUnitTest ()
| A function that tests the methods in the CoinError class. More...

## Macro Definition Documentation

#define __STRING | ( |  | x | ) | #x

Definition at line 169 of file CoinError.hpp.

#define __GNUC_PREREQ | ( |  | maj,
|  |  | min
| ) |  | (0)

Definition at line 173 of file CoinError.hpp.

#define CoinAssertDebug | ( |  | expression | ) | assert(expression)

Definition at line 177 of file CoinError.hpp.

#define CoinAssertDebugHint | ( |  | expression,
|  |  | hint
| ) |  | assert(expression)

Definition at line 178 of file CoinError.hpp.

#define CoinAssert | ( |  | expression | ) | assert(expression)

Definition at line 179 of file CoinError.hpp.

#define CoinAssertHint | ( |  | expression,
|  |  | hint
| ) |  | assert(expression)

Definition at line 180 of file CoinError.hpp.

## Function Documentation

void WindowsErrorPopupBlocker | ( |  | ) |

A function to block the popup windows that windows creates when the code crashes.

void CoinErrorUnitTest | ( |  | ) |

A function that tests the methods in the CoinError class.

The only reason for it not to be a member method is that this way it doesn't have to be compiled into the library. And that's a gain, because the library should be compiled with optimization on, but this method should be compiled with debugging.